import { Component } from "@angular/core";
import { ChartApiService } from "src/app/_services/chart.api";

@Component({
  selector: "app-building",
  templateUrl: "./building.component.html",
  styleUrls: ["./building.component.css"],
})
export class BuildingComponent {
  Data: any;
  public breadcrumb: any;
  feedbacksdonutChart: any;

  constructor(private chartApiservice: ChartApiService) {}

  ngOnInit() {
    this.breadcrumb = {
      mainlabel: "Advance Social Cards",
      links: [
        {
          name: "Home",
          isLink: true,
          link: "/dashboard/sales",
        },
        {
          name: "Advance Cards",
          isLink: true,
          link: "#",
        },
        {
          name: "Social",
          isLink: false,
          link: "#",
        },
      ],
    };
    this.chartApiservice.getStatisticsData().subscribe((Response) => {
      this.Data = Response;
      this.getlineArea();
    });
  }

  getlineArea() {
    const ChartData = this.Data;
    this.feedbacksdonutChart = {
      type: "Pie",
      data: ChartData["feedbacksdonutChart"],
      options: {
        showLabel: false,
        chartPadding: 0,
        fullwidth: true,
        height: "200px",
        donut: true,
        startAngle: 0,
      },
    };
  }
}
